Initialize Universal Profiling setup

Base URL
https://{kibana_url}
  • POST /api/profiling/setup/es_resources
  • POST /s/{space_id}/api/profiling/setup/es_resources
Auth

Set up Universal Profiling resources and configuration

Required authorization

Privileges profiling

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Responses

202

Setup was accepted. Enabling resource management in Elasticsearch is asynchronous and may not have completed by the time this response is sent.

403

The user does not have the privileges required to set up Universal Profiling.

500

An unexpected error occurred. Setup failed.

Base URL
https://{kibana_url}